# ABWiSE-Fire-spread-model
Code and data for the Agent-Based Wildfire Simulation Environment (ABWISE) model.

Download ABWiSE-V1 and the zipped Data folder.

Make sure ABWiSE-V1.nlogo and the unzipped Data folder are both in the same folder or directory

Open the model in NetLogo v6.1.1 or later.

Further instructions to be found in the Info tab of the model.

## Description
The model entities are fire agents and grid cells. The fire agents have two main properties, heading and rate of spread (RoS), plus their location (floating-point coordinates). The heading is the direction, in degrees, an agent faces. The RoS is the portion of a cell an agent travels every time step (called a tick). The units of the RoS depend on the spatial and temporal scales of the model.

Grid cells represent the world with which fire agents interact. Their state variables are their location (integer coordinates, at the center of the cell), fuel level, flammability, slope, aspect, wind speed, and wind direction. Location, slope, and aspect are static throughout a model run, while the other variables can change. Flammability and fuel are unitless variables ranging from 0 to 1. Slope is input as a percentage, in which flat is 0 % and vertical is 100 %. Aspect is in degrees. Wind speed is input as kilometres per hour (km h−1). Flammability is a measure of how quickly the vegetation in a cell can burn, and thus how fast the fire can move through it. Fuel is a measure of the amount of material available for combustion in a cell. Wind can be spatially and temporally uniform or dynamic.

The spatial and temporal resolutions of the model are linearly proportional; e.g. at a 200 m cell size, each time step (or tick) represents 1 min, and at a 400 m resolution, each tick is 2 min. The spatial and temporal extents of the model depend entirely on the scenario to simulate.

A model run begins with an ignition, creating four fire agents at that point, each facing one cardinal direction. Since flammability is the first driver of fire spread, fire agents have an initial RoS value set to the flammability of the cell they start in. At each time step, fire–wind interactions provide a local effective wind speed and direction for cells within a certain distance of fire agents. Next, fire agents update their RoS and heading based on wind, flammability, terrain, and the local density of fire agents and then move by that RoS in that direction. After moving, agents preheat the cell within the distance of their RoS by a small amount, raising its flammability. Next, agents have a chance to be extinguished (or die) based on the fuel value at their location and their RoS. Those that do not die then propagate if they have travelled more than a certain distance from their point of origin and if there are fewer than a set number of other fires already in their current cell. Lastly, fire agents reduce the amount of fuel in a cell based on their RoS. The simulation ends if there are no more fire agents or after a predetermined number of iterations.


Geospatial data for the Dogrib Fire scenarios in the model were derived from data obtained at http://firegrowthmodel.ca/prometheus/software_e.php. 

Copyright 2021 Jeffrey Katan

This work is licensed under the Creative Commons Attribution 4.0 International License. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
